CVE-2017-7593

NameCVE-2017-7593
Descriptiontif_read.c in LibTIFF 4.0.7 does not ensure that tif_rawdata is properly initialized, which might allow remote attackers to obtain sensitive information from process memory via a crafted image.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SuSE, Mageia, GitHub code/issues, web search, more)
ReferencesDLA-911-1, DLA-912-1, DSA-3844-1
NVD severitymedium (attack range: remote)
Debian Bugs860000

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
tiff (PTS)wheezy4.0.2-6+deb7u5vulnerable
wheezy (security)4.0.2-6+deb7u14fixed
jessie4.0.3-12.3+deb8u2vulnerable
jessie (security)4.0.3-12.3+deb8u3fixed
buster, sid, stretch4.0.8-2fixed
tiff3 (PTS)wheezy3.9.6-11vulnerable
wheezy (security)3.9.6-11+deb7u6fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
tiffsource(unstable)4.0.7-6medium860000
tiffsourcejessie4.0.3-12.3+deb8u3mediumDSA-3844-1
tiffsourcewheezy4.0.2-6+deb7u12mediumDLA-911-1
tiff3source(unstable)(unfixed)medium
tiff3sourcewheezy3.9.6-11+deb7u5mediumDLA-912-1

Notes

http://bugzilla.maptools.org/show_bug.cgi?id=2651
https://github.com/vadz/libtiff/commit/d60332057b9575ada4f264489582b13e30137be1

Search for package or bug name: Reporting problems